Bug 234045 - devel/valgrind: Add sigwait syscall support
Summary: devel/valgrind: Add sigwait syscall support
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Niclas Zeising
URL:
Keywords: feature, needs-qa
Depends on:
Blocks:
 
Reported: 2018-12-15 21:50 UTC by rozhuk.im
Modified: 2020-07-30 11:41 UTC (History)
3 users (show)

See Also:
rozhuk.im: maintainer-feedback-
rozhuk.im: maintainer-feedback-


Attachments
patch (4.56 KB, patch)
2018-12-15 21:50 UTC, rozhuk.im
rozhuk.im: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2018-12-15 21:50:19 UTC
Created attachment 200137 [details]
patch

Add sigwait syscall to valgrind.
Comment 1 Walter Schwarzenfeld freebsd_triage 2019-03-10 11:47:30 UTC
Assign to new maintainer.
Comment 2 rozhuk.im 2020-04-16 08:04:18 UTC
maintainer timeout
Comment 3 Paul Floyd 2020-04-16 09:51:37 UTC
(In reply to rozhuk.im from comment #2)

This is merged in my github repo https://github.com/paulfloyd/freebsd_valgrind
Comment 4 rozhuk.im 2020-04-16 10:01:55 UTC
(In reply to Paul Floyd from comment #3)

I will remember :)
But we still have unusable valgrind in ports tree.
zeising@FreeBSD.org does nothing in past year.
Comment 5 Paul Floyd 2020-04-20 12:02:30 UTC
(In reply to rozhuk.im from comment #4)

I've tried to engage with several people @freebsd.org, and I've had almost no response.

On top of being essentially non-functional and over 5 years out of date, the ports version hasn't even been buildable for 8 months. See https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=239669.
Comment 6 Paul Floyd 2020-04-29 10:09:32 UTC
(In reply to Paul Floyd from comment #5)

I submitted a patch for the ports version so that should build now. It's still essentially useless though.
Comment 7 Paul Floyd 2020-07-30 11:41:23 UTC
This should now be fixed in devel/valgrind-devel and this item can be closed.